#
# spec file for package perl-ExtUtils-LibBuilder
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name ExtUtils-LibBuilder
Name:           perl-ExtUtils-LibBuilder
Version:        0.90.0
Release:        1.3
# 0.09 -> normalize -> 0.90.0
%define cpan_version 0.09
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Tool to build C libraries
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMBS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
BuildRequires:  perl(Module::Build) >= 0.42
Provides:       perl(ExtUtils::LibBuilder) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
A tool to build C libraries.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Tue Jan  7 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.90.0 (0.09)
  see /usr/share/doc/packages/perl-ExtUtils-LibBuilder/Changes
  0.09    Mon Jan  6 13:36:44 UTC 2025
  - Added support to Haiku OS (thanks to Joachim Mairböc)
* Wed Oct 21 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-ExtUtils-LibBuilder/Changes
  0.08    Mon Oct 19 17:46:02 WEST 2015
  - Minor spelling fix (thanks to Gregor Herrmann,
    from Debian community).
* Fri Oct  2 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-ExtUtils-LibBuilder/Changes
  0.07    Mon Sep 28 14:53:40 WEST 2015
  - Added minimum required Perl Version (kwalitee++).
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.06
  - Fixed metadata for metacpan (thanks to Gabor Szabo).
  - Added metadata for metacpan.
* Tue May 22 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  SPDX format (http://www.spdx.org/licenses)
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.04
  * created by cpanspec 1.78.04
